/***************************************************************************
                          debris.cpp  -  description
                             -------------------
    begin                : Sat Apr 27 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "debris.h"
#include "resources.h"
#include "map_sample.h"
#include "player.h"
#include "timer.h"
#include "maptile_normal.h"
#include "maptile_empty.h"
#include "map.h"

Debris::Debris(int _x, int _y, Map_Sample* _sample) : Effects(_x, _y, _sample)
{
	timer=new Timer;
	sur=Resources::Tiles();
	spr=62;
	b=false;
}
Debris::~Debris()
{
}
void Debris::act()
{
	if(b==true && timer->time_elapsed()>=10.0f)
	{
  	mn->set_delme();
		this->set_delme();
		new Maptile_empty(map_x(16), map_y(), sample->map->get_wt(), sample->map);
	}

	if(b==false && sample->map->get_maptile(map_x(16), map_y()+32)->is_fallt()==false)
	{
		if(sample->map->get_maptile(map_x(16), map_y()+32)->get_type()!=WATER && sample->map->get_maptile(map_x(16), map_y())->get_type()==EMPTY)
		{
			sample->map->get_maptile(map_x(16), map_y())->set_delme();
			mn=new Maptile_normal(map_x(16), map_y(), 0, 0, sample->map->get_wt(), sample->map);				
			sample->map->fit();
			b=true;
			timer->reset();
		}
		else
		{
			this->set_delme();
			sample->map->get_maptile(map_x(16), map_y()+32)->set_delme();
			new Maptile_normal(map_x(16), map_y()+32, 0, 0, sample->map->get_wt(), sample->map);			
			sample->map->fit();
		}
	}
	else if(b==false)
	{
		y=(int)(y+(140*timer->time_elapsed()));
		timer->reset();
	}			
}
void Debris::show()
{
	if(!b)
	sur->put_screen(x, y, spr);
}