/***************************************************************************
                          menu.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MENU_H
#define MENU_H
#include "global_types.h"

/**
  *@author funthing (Matthias Zisler)
  */
class Gui;
class Auriferous;
class Mainscreen;
class CL_SoundBuffer_Session;
class Timer;

class Menu
{
public: 
	Menu(Auriferous* _app);
	~Menu();

	void start();

	list<Gui*>::iterator it;
	list<Gui*> guiobjs;

	Auriferous* app;

	void actshowgui();

	void draw_fps();
	void freeze_gui(bool fr);
	void disable_ms(bool fr);


private:

	Timer* timer;
	int frame_count;
	int fps;
	Mainscreen* main;
	void actshowall();	
};

#endif
